@charset "utf-8";

.inner {
    width: clamp(840px, 60vw, 1008px);
}

/* ---------- 
interview-header
----------*/
.interview-header{
    display: flex;
    align-items: center;
    gap: clamp(40px, 3vw, calc(40px * var(--ratio)));
    padding-bottom: 40px;
    border-bottom: 1px solid var(--color-text);
    margin-bottom: 80px;
}

.interview-header .interview-title-info{
    width: clamp(450px, 32vw, calc(480px * var(--ratio)));
}

.interview-header .interview-date{
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-family: "Inter", sans-serif;
    line-height: calc(25/14);
    margin-bottom: 15px;
}
.interview-header .page-title-c{
    margin-bottom: 15px;
    text-wrap: initial;
}

.interview-header .interview-category-list li {
    display: inline;
    margin-right: 20px;
}

@media screen and (max-width: 700px) {
   .interview-header{
        flex-direction: column-reverse;
        margin-bottom: 40px;
   }

   .interview-header .interview-title-info{
        width: 100%;
   }

   .interview-header .interview-date{
        margin-bottom: 10px;
   }

   .interview-header .interview-category-list{
        font-size: calc(12px / var(--fs-base) * 1rem);
        line-height: calc(22/12);
   }

   .interview-header .interview-category-list li {
        margin-right: 10px;
    }
}

/* ---------- 
editor-block
----------*/
.editor-block{
    margin-bottom: 80px;
}

.editor-block .wp-caption {
    margin: 60px auto;
}

.editor-block strong{
    font-weight: 500;
}


/* ---------- 
support_case_slide_スライダーセクション
----------*/
.support_case_slide {
    overflow: hidden;
    margin-bottom: 80px;
}

.support_case_slide .inner{
    width: clamp(1000px, 71.4vw, 1200px);
}

@media screen and (max-width: 700px) {
    .support_case_slide{
        margin-bottom: 60px;
    }
}

/* ---------- 
interview-swiper_スライダーあり
----------*/
.interview-swiper {
    overflow: visible;
}

.interview-swiper .swiper-wrapper {
    align-items: stretch;
}

.activities-section .interview-swiper .swiper-slide{
    width: 326px;
}

.interview-item {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    cursor: pointer;
    width: clamp(326px, 23.286vw, calc(326px * var(--ratio)));
}

.interview-swiper-img {
    display: block;
    width: 100%;
    aspect-ratio: 326 / 245;
    overflow: hidden;
}

.interview-swiper-img img {     
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    object-position: center;
}

.interview-item:hover .interview-swiper-img img{
    filter:  brightness(0.85);
}

.interview-swiper-content {
    height: clamp(270px, 19.286vw, calc(270px * var(--ratio)));
    width: 100%;
    padding: 30px;
    padding-top: clamp(30px, 2.143vw, calc(30px * var(--ratio)));
    background: var(--color-sub);
    box-sizing: border-box;
}

.interview-swiper-title {
    margin-bottom: 20px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    text-overflow: clip;
    overflow: hidden;
}

.interview-swiper-title a{
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    line-height: calc(30/16);
    font-weight: 500;
    color: var(--color-text);
    background-image: linear-gradient(var(--color-text), var(--color-text));
}

.interview-swiper-title .link-text[target="_blank"] {
    background-image:
        linear-gradient(var(--color-text), var(--color-text)),
        url(../../../images/common/icon_external-link-black.svg);
    background-size: 0% 1px, 1em 1em;
    background-position: left bottom, right center;
}

.interview-swiper-link-wrap {
    display: block;
    font-size: clamp(12px, 0.86vw, calc(12px * var(--ratio)));
    line-height: 1.83;
    max-height: calc(1em * 1.83 * 3);
    overflow: hidden;
    text-overflow: clip;
}

.interview-swiper-link-wrap a:not(:last-child) {
    margin-right: 10px;
}

.interview-swiper-link-wrap .link-hover-line {
    line-height: 1.83;
}


/* PC時は下線アニメーションを表示 */
@media screen and (min-width: 700px) {
    .interview-item:hover .interview-swiper-img{
        filter:  brightness(0.85);
    }

    .interview-item:hover .interview-swiper-title .link-text {
        background-size: 100% 1px;
    }

    .interview-item:hover .interview-swiper-title .link-text[target="_blank"] {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}

@media screen and (max-width: 700px) {
    .interview-item .interview-swiper-title{
        font-size: calc(16px / var(--fs-base) * 1rem);
    }

    .interview-item .interview-swiper-title .link-text[target="_blank"] {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }

    .interview-swiper-link-wrap a:not(:last-child) {
        margin-right: 5px;
    }
}


/* ナビゲーション */
.interview-swiper-pagination {
    position: relative;
    padding: 15px 0;
    width: 100%;
    text-align: center;
    margin-top: 20px;
}

.interview-swiper-button-next,
.interview-swiper-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: 26px;
    height: 26px;
    border: 1px solid var(--color-text);
    border-radius: 50%;
    z-index: 10;
    cursor: pointer;
}

.interview-swiper-button-next {
    left: calc(50% + 40px)
}

.interview-swiper-button-prev {
    left: calc(50% - 40px)
}

.interview-swiper-button-next:before,
.interview-swiper-button-prev:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
}

.interview-swiper-button-next:before {
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}

.interview-swiper-button-prev:before {
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}

#support_case .btn-wrap{
    margin-bottom: 80px;
}

@media screen and (max-width: 1101px) {
    /* 固定サイズでトリミング表示を維持 */
    .interview-swiper-img img{
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }
}

@media screen and (min-width: 701px) {
    .interview-swiper-button-next:hover,
    .interview-swiper-button-prev:hover,
    .interview-swiper-pause-button:hover {
        background: var(--color-text);
    }
    .interview-swiper-button-next:hover:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
    .interview-swiper-button-prev:hover:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
    .interview-swiper-pause-button:hover:before,
    .interview-swiper-pause-button:hover:after {
        background: var(--color-text-sub);
        /* border-color: transparent transparent transparent var(--color-text-sub); */
        /* border: 1px solid var(--color-text-sub); */
    }
}

/* ナビゲーション */
.swiper-pagination {
    position: relative;
    margin: 30px 0 0;
    width: 100%;
    text-align: center;
    padding-bottom: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.swiper-pagination span {
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}
.swiper-pagination span.current,
.swiper-pagination span.total {
    padding: 0 10px;
}
.swiper-pagination span.separator {
    display: inline-block;
    height: 0.85em;
    width: 1px;
    background: var(--color-text);
}
.interview-swiper-button-next,
.interview-swiper-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: 32px;
    height: 32px;
    border: 1px solid var(--color-text);
    border-radius: 50%;
    z-index: 10;
    cursor: pointer;
}
.interview-swiper-button-next {
    left: calc(50% + 66px)
}
.interview-swiper-button-prev {
    left: calc(50% - 66px)
}

.interview-swiper-button-next:before,
.interview-swiper-button-prev:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
}
.interview-swiper-button-next:before {
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}
.interview-swiper-button-prev:before {
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}
@media screen and (min-width: 701px) {
    .interview-swiper-button-next:hover,
    .interview-swiper-button-prev:hover {
        background: var(--color-text);
    }
    .interview-swiper-button-next:hover:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
    .interview-swiper-button-nex:hover:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
}

@media screen and (max-width: 700px) {
    .swiper-pagination span{
        font-size: calc(16px / var(--fs-base) * 1rem);
    }

    .swiper-pagination span.separator{
        height: 1em;
    }
}

/* ---------- 
support_case_slide_スライダーセクション
----------*/
.support_case_slide hr{
    color: var(--color-707070);
}


/* ---------- 
btn-wrap
----------*/
.support_case_slide .btn-wrap{
    margin-top: 30px;
}

.btn-wrap {
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}